关于C++ auto不能识别,C++11在DevC++不能支持的问题

C++ devc++ 有用到c++11的auto 报错了 怎么办?这里写图片描述

因为没有通过参数开启C++11支持,解决方案
1. 首先你得保证 gcc 版本 >= 4.8.1(只有 4.8.1 及以上的版本才能完全支持 C++11)
2. 如果第1个条件能保证,那么就要对 DEV-C++ 设置了,具体步骤如下:
1) 工具 -> 编译器选项->程序(将 g++ 修改为 g++ -std=c++11 )这里写图片描述
2) 在 “设定编译器配置” 中的每个下拉列表中都进行 1) 操作
这里写图片描述
这个直接改为g++ -std=c++11,不用加后缀,完成!

已标记关键词 清除标记
相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页